[metadata]
# A string specifying the name of the package.
name = python-notification
# A string specifying the version number of the package.
version = 1.0.1
# A string describing the package in a single line.
description = Send desktop notifications using notify-send
# A string providing a longer description of the package.
long_description = file:README.md
# A string specifying the content type is used for the long_description (e.g. text/markdown)
long_description_content_type = text/markdown
# A string specifying the author of the package.
author = Marc Jose
# A string specifying the email address of the package author.
author_email = marc@marc-jose.de
# A string specifying the URL for the package homepage.
url = https://gitlab.marc-jose.de/Marc.Jose/python-notification
# A string specifying the URL to download the package.
download_url = https://gitlab.marc-jose.de/Marc.Jose/python-notification/-/archive/master/python-notification-master.zip
# A list of strings describing the categories for the package.
classifiers = 
    Development Status :: 5 - Production/Stable
    Environment :: X11 Applications
    Intended Audience :: End Users/Desktop
    License :: OSI Approved :: GNU General Public License v3 (GPLv3)
    Operating System :: POSIX
    Programming Language :: Python :: 3
# A string specifying the license of the package.
license = GNU GPLv3
# A list of strings or a comma-separated string providing descriptive meta-data. See: PEP 0314.
keywords = 
    notification
    desktop
#  A list of strings or comma-separated string.
platforms = any

[options]
# A boolean (True or False) flag specifying whether the project can be safely installed and run from a zip file.
zip_safe = True
# A string or list of strings specifying what other distributions need to be installed when this one is.
install_requires =
    pylint
    mypy
    coverage
    pytest-reportlog
    pytest-cov
    pytest-runner
    mock
# A string corresponding to a version specifier (as defined in PEP 440) for the Python version, used to specify the Requires-Python defined in PEP 345.
python_requires =
    >=3.6
# A list of strings specifying the packages that setuptools will manipulate.
packages =
    notification

[options.entry_points]
# A dictionary mapping entry point group names to strings or lists of strings defining the entry points.
console_scripts =
    notification = notification.main:main

[flake8]
max-line-length = 100
ignore =
    E124,
    W504

[pylint]
persistent = n
jobs =
output-format = parseable

[mypy]
files = notification/**/*.py,tests/**/*.py
ignore_missing_imports = True
warn_return_any = True
warn_unreachable = True
warn_unused_configs = True
warn_unused_ignores = True
warn_redundant_casts = True
warn_no_return = True
strict_optional = True
disallow_any_generics = True
disallow_subclassing_any = True
disallow_untyped_calls = True
disallow_untyped_defs = True
disallow_incomplete_defs = True
check_untyped_defs = True
disallow_untyped_decorators = True
no_implicit_optional = True
no_implicit_reexport = True
no_incremental = True

[aliases]
test = pytest

[tool:pytest]
testpaths = tests
addopts =
    --cov=notification
    --cov-branch
    --cov-report term-missing
python_files =
    test_*.py

[coverage:run]
omit =
    **/__init__.py
    **/main.py

[coverage:report]
ignore_errors = True
